<div xmlns:f="http://typo3.org/ns/TYPO3/CMS/Fluid/ViewHelpers"
     xmlns:v="http://typo3.org/ns/FluidTYPO3/Vhs/ViewHelpers"
     v:schemaLocation="https://fluidtypo3.org/schemas/vhs-master.xsd"
     xmlns:zwei14="http://typo3.org/ns/ZWEI14/Captcha/ViewHelpers">

    <f:layout name="Default" />

    <f:section name="main">
        <a name="p{pluginUid}" id="p{pluginUid}"></a>
        <f:if condition="{case} == 0">
            <f:then>
                <f:render partial="Render/Errors" arguments="{errors: errors}" />

                {localizations_for_java_script -> f:format.raw()}

                <f:form action="render" controller="Render" additionalAttributes="{method: 'post', data-post-max-size: '{post_max_size}', data-post-max-size-ini: '{post_max_size_ini}', class: 'tx_kitt3n-form__form'}"
                        name="{form.vars.id}"
                        id="{form.vars.id}"
                        section="p{pluginUid}"
                        fieldNamePrefix="{form.vars.id}"
                        enctype="multipart/form-data">

                    <v:security.allow anyBackendUser="TRUE">
                        <span style="position: relative;top: 0px;right: 0px;">
                            <span class="badge badge-info">session: '{processNumber}' // processNumber</span>
                        </span>
                    </v:security.allow>

                    <f:for each="{form.children}" as="val" key="key" iteration="i">
                        <f:if condition="{val.vars.block_prefixes.1} == 'hidden'">
                            <f:render partial="Render/Fields/Hidden" arguments="{val: val}"/>
                        </f:if>
                    </f:for>

                    <v:variable.set name="fs" value="" />
                    <f:render section="fs_open" />

                    <f:for each="{form.children}" as="val" key="key" iteration="i">

                        <f:if condition="{val.vars.block_prefixes.1} == 'hidden' || {val.vars.block_prefixes.1} == 'submit'">
                            <f:else>
                                <v:variable.set name="fs_current" value="{val.vars.attr.fieldset}" />

                                <f:if condition="{fs} == ''">
                                    <v:variable.set name="fs" value="{fs_current}" />
                                </f:if>

                                <f:if condition="{fs_current} != {fs}">
                                    <f:then>
                                        <v:variable.set name="fs" value="{fs_current}" />
                                        <f:render section="fs_close" />
                                        <f:render section="fs_open" />
                                    </f:then>
                                </f:if>

                                <f:variable name="{key}" value="{val}"/>
                                <f:variable name="type" value="text"/>

                                <f:if condition="{val.vars.block_prefixes.1} == 'text'">
                                    <f:if condition="{val.vars.block_prefixes.2} == 'email'">
                                        <f:variable name="type" value="email"/>
                                    </f:if>
                                    <f:if condition="{val.vars.block_prefixes.2} == 'readonly'">
                                        <f:variable name="type" value="readonly"/>
                                    </f:if>
                                    <f:if condition="{val.vars.block_prefixes.2} == 'textarea'">
                                        <f:then>
                                            <f:render partial="Render/Fields/Textarea" arguments="{val: val, type: type}"/>
                                        </f:then>
                                        <f:else>
                                            <f:render partial="Render/Fields/Text" arguments="{val: val, type: type}"/>
                                        </f:else>
                                    </f:if>
                                </f:if>
                                <f:if condition="{val.vars.block_prefixes.1} == 'file'">
                                    <f:render partial="Render/Fields/File" arguments="{val: val, type: type}"/>
                                </f:if>
                                <f:if condition="{val.vars.block_prefixes.1} == 'checkbox'">
                                    <f:render partial="Render/Fields/Checkbox" arguments="{val: val, type: type}"/>
                                </f:if>
                                <f:if condition="{val.vars.block_prefixes.1} == 'choice'">
                                    <f:if condition="{val.vars.expanded} == FALSE">
                                        <f:then>
                                            <!-- SELECT FIELDS -->
                                            <f:if condition="{val.vars.block_prefixes.2} == 'country' || {val.vars.block_prefixes.2} == 'language'">
                                                <f:then>
                                                    <f:render partial="Render/Fields/CountryAndLanguageSelect" arguments="{val: val, type: type}"/>
                                                </f:then>
                                                <f:else>
                                                    <f:render partial="Render/Fields/Select" arguments="{val: val, type: type}"/>
                                                </f:else>
                                            </f:if>
                                        </f:then>
                                        <f:else>
                                            <!-- Multiple RADIOBUTTONS or CHECKBOXES -->
                                            <f:if condition="{val.vars.multiple} == FALSE">
                                                <f:then>
                                                    <!-- RADIOBUTTONS -->
                                                    <f:render partial="Render/Fields/Radio" arguments="{val: val, type: type}"/>
                                                </f:then>
                                                <f:else>
                                                    <!-- CHECKBOXES -->
                                                    <f:render partial="Render/Fields/Checkboxes" arguments="{val: val, type: type}"/>
                                                </f:else>
                                            </f:if>
                                        </f:else>
                                    </f:if>
                                </f:if>
                                <f:if condition="{val.vars.block_prefixes.1} == 'html'">
                                    <f:render partial="Render/Fields/Html" arguments="{val: val, type: type}"/>
                                </f:if>
                            </f:else>
                        </f:if>

                    </f:for>

                    <f:render section="fs_close" />

                    <f:if condition="{showZwei14Captcha} == '1'">
                        <f:if condition="{isLastStep} == '1'">
                            <f:render section="fs_open" />
                                <style type="text/css">
                                    .d30298be-b12d-4e0a-ab77-311d12e3891a { 
                                        display: block;
                                    }
                                    .eb0c2891-c422-4961-b7aa-bf8f3974ed42 {
                                        padding: 15px;
                                        border: solid 1px #d7d7d7;
                                        border-radius: 5px;
                                        display: inline-block;
                                    }
                                    .ec80ff28-118f-4d31-b642-b9f2c69a8f5e,
                                    .b9cfa599-93de-46c4-b5f5-fec4ecd58619 { 
                                        display: none; 
                                    }
                                    .bb307211-95cf-4599-9cdc-4d5c98107be1 {
                                        -ms-flex-wrap: wrap;
                                        flex-wrap: wrap;
                                        display: -ms-flexbox;
                                        display: flex;
                                        align-items: end;
                                        margin-bottom: 15px;
                                    }
                                    .e02df336-d636-4de0-ad53-f926375f6e09 {
                                        border: solid 4px #d7d7d7;
                                        border-radius: 4px;
                                        margin: 0 10px;
                                    }
                                    .f6534222-3524-47d7-99c2-de835374dcc0 { 
                                        -ms-flex-wrap: wrap;
                                        flex-wrap: wrap;
                                        display: -ms-flexbox;
                                        display: flex;
                                        max-width: calc(75px * 4); 
                                    }
                                    .a978dda9-cd2f-4d21-b26a-3689f70ec33e { 
                                        width: 25%; 
                                        position: relative;
                                    }
                                    .b94961f4-f393-497c-8086-535994b52a1e {
                                        margin: 0;
                                        display: inline-block !important;
                                        height: 0;
                                        padding: 0 0 100% 0;
                                        cursor: pointer;
                                    }
                                    .e2903de8-7c40-4b59-94fe-15374f10a25b { 
                                        height: auto; width: auto;
                                        opacity: 0.9;
                                        border: solid 4px transparent;
                                        border-radius: 5px;
                                    }
                                    .ec80ff28-118f-4d31-b642-b9f2c69a8f5e:checked + * > .e2903de8-7c40-4b59-94fe-15374f10a25b { 
                                        border: 4px solid black;
                                        opacity: 1;
                                    }
                                </style>
                                <style type="text/css">
                                    @media (min-width: 768px) <f:format.raw value="{" /> 
                                        .f6534222-3524-47d7-99c2-de835374dcc0 { 
                                            max-width: calc(75px * 8); 
                                        }
                                        .a978dda9-cd2f-4d21-b26a-3689f70ec33e <f:format.raw value="{" /> 
                                            width: calc(100% / 8); 
                                        } 
                                    }			
                                </style>
                                <div class="d30298be-b12d-4e0a-ab77-311d12e3891a">
                                    <div class="eb0c2891-c422-4961-b7aa-bf8f3974ed42">
                            
                                    <f:variable name="options" value="{zwei14:captcha()}" />
                        
                                    <div class="bb307211-95cf-4599-9cdc-4d5c98107be1"><f:format.raw><f:translate key="LLL:EXT:zwei14_captcha/Resources/Private/Language/translation.xlf:captcha.label" arguments="{0: '{options.hint}', 1: 'e02df336-d636-4de0-ad53-f926375f6e09'}" /></f:format.raw></div>
                                
                                    <input type="hidden" name="{form.vars.id}_zwei14captcha[]" 
                                    id="{form.vars.id}-zwei14captcha-a"
                                    class="b9cfa599-93de-46c4-b5f5-fec4ecd58619"
                                    value="{options.validOptionKey}"
                                    readonly="readonly" />
                                    <input type="checkbox" name="{form.vars.id}_zwei14captcha[]" 
                                    id="{form.vars.id}-zwei14captcha-a"
                                    class="b9cfa599-93de-46c4-b5f5-fec4ecd58619"
                                    value="{options.validOptionKey}"
                                    disabled="disabled" />
                                    
                                    <div class="f6534222-3524-47d7-99c2-de835374dcc0 d-flex flex-wrap">
                                        <f:for each="{options.options}" as="value" key="key" iteration="idIterator">
                                            <div class="a978dda9-cd2f-4d21-b26a-3689f70ec33e">
                                                <label class="b94961f4-f393-497c-8086-535994b52a1e" for="{form.vars.id}-zwei14captcha-{idIterator.index}">
                                                    <input type="checkbox" name="{form.vars.id}_zwei14captcha[]" 
                                    id="{form.vars.id}-zwei14captcha-{idIterator.index}"
                                    class="ec80ff28-118f-4d31-b642-b9f2c69a8f5e"
                                    value="{value}"
                                    />
                                                    <div>
                                                        <img class="e2903de8-7c40-4b59-94fe-15374f10a25b" src="/typo3conf/ext/zwei14_captcha/Resources/Public/Images/{value}.png" />
                                                    </div>				
                                                </label>
                                            </div>
                                        </f:for>
                                    </div>
                                
                                </div>
                            </div>
                            <f:render section="fs_close" />
                        </f:if>
                    </f:if>

                    <f:if condition="{showReCaptcha} == '1'">
                        <f:if condition="{isLastStep} == '1'">
                            <f:render section="fs_open" />
                            <div class="form-row_">
                                <div class="form-group">
                                    <legend class="legend_check">Captcha<span class="mandatory">&nbsp;*&nbsp;</span></legend><br>
                                    <script src="https://www.google.com/recaptcha/api.js" async defer></script>
                                    <div class="g-recaptcha" data-sitekey="{reCaptchaSiteKey}"></div>
                                </div>
                            </div>
                            <f:render section="fs_close" />
                        </f:if>
                    </f:if>

                    <f:render section="fs_open" />
                    <div class="form-row_">
                        <div class="form-group">
                            <f:for each="{form.children}" as="val" key="key" iteration="i">
                                <f:if condition="{val.vars.block_prefixes.1} == 'submit'">
                                    <f:render partial="Render/Fields/Submit" arguments="{val: val}"/>
                                </f:if>
                            </f:for>
                        </div>
                    </div>
                    <f:render section="fs_close" />

                </f:form>
            </f:then>
        </f:if>

        <f:if condition="{case} == 1">
            <f:then>
                <f:if condition="{doubleOptIn}">
                    <f:then>
                        <div class="alert alert-success" role="alert">
                            {oForm.textSubmit-> f:format.raw()}
                        </div>
                    </f:then>
                    <f:else>
                        <f:if condition="{confirm.0} == 1">
                            <f:then>
                                <div class="alert alert-success" role="alert">
                                    <f:if condition="{sCustomTextSubmit} != ''">
                                        <f:then>
                                            {sCustomTextSubmit -> f:format.raw()}
                                        </f:then>
                                        <f:else>
                                            {oForm.textSubmit -> f:format.raw()}
                                        </f:else>
                                    </f:if>

                                    <hr />
                                    <small>{confirm.1}</small>
                                </div>
                            </f:then>
                            <f:else>
                                <f:if condition="{confirm.0} == 2">
                                    <f:then>
                                        <div class="alert alert-success" role="alert">
                                            {oForm.textSubmit-> f:format.raw()}
                                            <hr />
                                            <small>{confirm.1}</small>
                                        </div>
                                    </f:then>
                                    <f:else>
                                        <div class="alert alert-warning" role="alert">
                                            <hr />
                                            <small>{confirm.1}</small>
                                        </div>
                                    </f:else>
                                </f:if>
                            </f:else>
                        </f:if>
                    </f:else>
                </f:if>

            </f:then>
        </f:if>

        <f:if condition="{case} == 2">
            <f:then>
                <f:if condition="{confirm.0} == 1">
                    <f:then>
                        <div class="alert alert-success" role="alert">
                            {oForm.textConfirm -> f:format.raw()}
                            <hr />
                            <small>{confirm.1}</small>
                        </div>
                    </f:then>
                    <f:else>
                        <f:if condition="{confirm.0} == 2">
                            <f:then>
                                <div class="alert alert-success" role="alert">
                                    {oForm.textConfirm -> f:format.raw()}
                                    <hr />
                                    <small>{confirm.1}</small>
                                </div>
                            </f:then>
                            <f:else>
                                <div class="alert alert-warning" role="alert">
                                    <hr />
                                    <small>{confirm.1}</small>
                                </div>
                            </f:else>
                        </f:if>
                    </f:else>
                </f:if>
            </f:then>
        </f:if>

    </f:section>

    <f:section name="fs_open">
        <fieldset>
    </f:section>

    <f:section name="fs_close">
        </fieldset>
    </f:section>

</div>
